Bug 166217 - initrd may not be large enough for the kernel-smp and required modules
initrd may not be large enough for the kernel-smp and required modules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 149000 156322 166378
  Show dependency treegraph
 
Reported: 2005-08-17 17:45 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-484
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-08-17 17:45:00 EDT
Description of problem:

As reported in Issue Tracker #68011, the initrd made by the updateDiskless
script may not be large enough to hold the kernel-smp and required modules:

---- Additional Comments From pkmartin@us.ibm.com  2005-08-17 14:44 EDT -------
I have found a few more issues with the current fix that I think need looking at.

1) building diskless boot os fails with a popup message
      when building diskless os with gui tool, and useing the
      smp kernel the failure bubble/popup says:

      /bin/tar: lib/modules/2.6.9-11.ELsmp/kernel/drivers/pcmcia/ds.ko:
      Wrote ony 8192 of 9728 bytes
      /bin/tar: skipping to next header
      /bin/tar: Error exit delayed from previous errors
      Copying modules to initrd failed


      non smp kernel choice is successful

Version-Release number of selected component (if applicable):
ALL

How reproducible:
100%

Steps to Reproduce:
Choose to configure a PXE boot environment for a large smp kernel
  
Actual results:
initrd is too small; configuration fails

Expected results:
configuration should succeed

Additional info:
Comment 1 Jason Vas Dias 2005-08-18 20:11:13 EDT
This bug is now fixed with system-config-netboot-0.1.28-1_EL4, available from:
   http://people.redhat.com/~jvdias/system-config-netboot/RHEL-4
This version now computes the size of the initrd dynamically and can successfully
create a bootable initrd with the current RHEL-4 SMP kernel.
Please try out this version and let me know of any issues - thanks .
Comment 3 Red Hat Bugzilla 2005-10-05 09:50:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-484.html

Note You need to log in before you can comment on or make changes to this bug.